LinuxQuestions.org

LinuxQuestions.org (http://www.linuxquestions.org/questions/index.php)
-   Linux - Hardware (http://www.linuxquestions.org/questions/forumdisplay.php?f=18)
-   -   fglrx driver install errors (http://www.linuxquestions.org/questions/showthread.php?t=567464)

SeanWcisel 07-07-2007 04:54 PM

fglrx driver install errors
 
Hey guys. I posted a couple weeks back, but I'm still having a really tough time installing the fglrx drivers for my Radeon 9800 . I'm using the most current unstable release of Debian, and everything has been updated properly. I tried following the tutorial located here:

http://technowizah.com/2006/10/debia...i-drivers.html

and did fine up to this point:

sudo m-a a-i fglrx

I get some pretty serious-looking errors out of that command. Here's the output of the log file it refers me to:

Code:

/usr/bin/make  -f debian/rules clean
make[1]: Entering directory `/usr/src/modules/fglrx'
dh_testroot
rm -f configure-stamp
rm -f fglrx.ko fglrx.mod.c *.o libfglrx_ip.a
rm -f .version .*.o.flags .*.o.d .*.o.cmd .*.ko.cmd
rm -rf .tmp_versions
rm -rf patch
dh_clean
rm /usr/src/modules/fglrx/debian/control
rm /usr/src/modules/fglrx/debian/dirs
make[1]: Leaving directory `/usr/src/modules/fglrx'
/usr/bin/make  -f debian/rules binary_modules
make[1]: Entering directory `/usr/src/modules/fglrx'
if [ -f /usr/src/modules/fglrx/debian/control.template ]; then \
                cat /usr/src/modules/fglrx/debian/control.template > /usr/src/modules/fglrx/debian/control; \
        fi
dh_testdir
touch configure-stamp
dh_testdir
/usr/bin/make -C /lib/modules/2.6.21-2-486/build SUBDIRS=/usr/src/modules/fglrx modules
make[2]: Entering directory `/usr/src/linux-headers-2.6.21-2-486'
  CC [M]  /usr/src/modules/fglrx/firegl_public.o
In file included from /usr/src/modules/fglrx/drm_proc.h:41,
                from /usr/src/modules/fglrx/firegl_public.c:336:
/usr/src/modules/fglrx/drmP.h:126:1: warning: "DRM_DEBUG_CODE" redefined
/usr/src/modules/fglrx/firegl_public.c:180:1: warning: this is the location of the previous definition
/usr/src/modules/fglrx/firegl_public.c:454: warning: initialization from incompatible pointer type
/usr/src/modules/fglrx/firegl_public.c: In function ‘firegl_stub_open’:
/usr/src/modules/fglrx/firegl_public.c:577: warning: assignment discards qualifiers from pointer target type
/usr/src/modules/fglrx/firegl_public.c: In function ‘__ke_pci_find_device’:
/usr/src/modules/fglrx/firegl_public.c:1777: warning: ‘pci_find_device’ is deprecated (declared at include/linux/pci.h:470)
/usr/src/modules/fglrx/firegl_public.c: In function ‘__ke_do_mmap’:
/usr/src/modules/fglrx/firegl_public.c:1887: warning: assignment makes pointer from integer without a cast
/usr/src/modules/fglrx/firegl_public.c: In function ‘__ke_request_irq’:
/usr/src/modules/fglrx/firegl_public.c:2640: warning: passing argument 2 of ‘request_irq’ from incompatible pointer type
/usr/src/modules/fglrx/firegl_public.c: At top level:
/usr/src/modules/fglrx/firegl_public.c:4899: warning: ‘kmem_cache_t’ is deprecated
/usr/src/modules/fglrx/firegl_public.c: In function ‘KAS_ExecuteAtLevel’:
/usr/src/modules/fglrx/firegl_public.c:4758: warning: ‘flags’ may be used uninitialized in this function
  LD [M]  /usr/src/modules/fglrx/fglrx.o
  Building modules, stage 2.
  MODPOST 1 modules
FATAL: modpost: GPL-incompatible module fglrx.ko uses GPL-only symbol 'paravirt_ops'
make[3]: *** [__modpost] Error 1
make[2]: *** [modules] Error 2
make[2]: Leaving directory `/usr/src/linux-headers-2.6.21-2-486'
make[1]: *** [build] Error 2
make[1]: Leaving directory `/usr/src/modules/fglrx'
make: *** [kdist_image] Error 2

a google search turned up nothing useful. I really appreciate any help you guys can give me, I've been well over a month trying to get this to work.

Thanks,
Sean

kabniel 07-10-2007 08:25 AM

I get the same error when trying to reinstall the fglrx driver after todays kernel upgrade to 2.6.21-2 in Debian Lenny.

clkmsc 07-15-2007 02:18 PM

I also have this problem.

noxious 07-23-2007 07:38 PM

Me also. I don't use this kernel - I boot using the 2.6.18-4-686 that allows me to use the fglrx module.

rickh 07-23-2007 07:43 PM

That problem has been around on the 32-bit version of fglrx for a while, but I built it fine yesterday using the current kernel and fglrx-kernel-src packages in Sid. (2.6.22 and 8.38.6)


All times are GMT -5. The time now is 11:03 PM.